# %%
import unittest
from geometries import Rectangle


# The test cas based on unittest module
class TestGetAreaRectangle(unittest.TestCase):

    # Test within the test case
    def runTest(self):
        rectangle1 = Rectangle(2, 3)
        self.assertEqual(rectangle1.get_area(), 6, "incorrect area")
        rectangle2 = Rectangle(3, 3)
        self.assertEqual(rectangle2.get_area(), 9, "incorrect area")

class TestGetPerimeterRectangle(unittest.TestCase):
    def runTest(self):
        rectangle = Rectangle(2, 3)
        self.assertEqual(rectangle.get_perimeter(), 10, "incorrect perimeter")

    def runTest(self):
        rectangle = Rectangle(3, 3)
        self.assertEqual(rectangle.get_perimeter(), 12, "incorrect perimeter")


if __name__ =="__main__":
    # run the test
    unittest.main()

# %%
